Endpoint de convite de membros da Enterprise
curl --request POST \
--url https://api.devin.ai/v2/enterprise/members/invite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"jsmith@example.com"
]
}
'import requests
url = "https://api.devin.ai/v2/enterprise/members/invite"
payload = { "emails": ["jsmith@example.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emails: ['jsmith@example.com']})
};
fetch('https://api.devin.ai/v2/enterprise/members/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invited_count": 123,
"invitee_user_id_to_email": {},
"status": "success"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Endpoints de membros
Convidar membros da Enterprise
Convidar vários usuários para a Enterprise por e-mail (convite em massa, até 100 usuários)
POST
/
v2
/
enterprise
/
members
/
invite
Endpoint de convite de membros da Enterprise
Requer a chave de API pessoal de um administrador Enterprise.
Convide vários usuários para a sua Enterprise fornecendo seus endereços de e-mail. Este endpoint oferece suporte a convites em massa com até 100 endereços de e-mail por solicitação.
Autorizações
Chave de API pessoal (apk_user_*) somente para administradores do Enterprise
Corpo
application/json
Lista de endereços de e‑mail para convidar (no máximo 100)
Maximum array length:
100⌘I

